<?php
######################### TextPlus Charts v18, Czech-UTF8
# Thanks to Ron Krzmarzick for these translations.
$text['tp-nofit'] = "S těmito nastaveními tiskárny není prostor pro výrobu";
$text['tp-graphicalview'] = "Graphical view of this family line";
$text['tp-charttypes'] = "Chart Types";
# Labels and title text for the Descendant Chart content controls
$text['tp-markliving'] = "Skrýt data pro žijící a soukromé osoby";
$text['tp-likenotlogged'] = "Vytvořte graf, jako byste nebyli přihlášeni";
$text['tp-anddescend'] = "& Descendants"; #if logged in
#Title if logged in, label if not
$text['tp-hideliving'] = "Skryjte potomky žijících a soukromých lidí";
$text['tp-gennums'] = "Generace #s";
$text['tp-siblingnums'] = "Sourozenec #s";
$text['tp-gennumrequired'] = "'Generace #s' je třeba zkontrolovat";
$text['tp-printdesc'] = "Descendant Chart";
$text['tp-printanc'] = "Ancestor Chart";
$text['tp-locateperson'] = "Locate Person in Chart";
#Labels and title text for the Ancestor Chart content controls
$text['tp-frmsiblings'] = "Sourozenci";
$text['tp-sibsgennumrequired'] = "'Sourozenci' &amp; 'Generace #s' je třeba zkontrolovat";
$text['tp-compact'] = "Kompaktní rozložení";
$text['tp-compactmsg'] = "Odstraňte prázdné řádky, které pomáhají číst";
$text['tp-genfocus'] = "Zvýrazněte generaci";
$text['tp-locateanc'] = "Show path to ancestor";
#Buttons in the inner menu
$text['tp-charthelp'] = "Chart Help";
$text['tp-printinghelp'] = "Printing Help";
$text['tp-datesplaces'] = "Dates & Places";
$text['tp-formatforprint'] = "Format for Printing";

###Format-for-printing labels & selection box options
$text['tp-pagewidth'] = "Šířka";
$text['tp-mobile'] = "Mobilní";
$text['tp-portrait'] = "Portrét";
$text['tp-landscape'] = "Krajina";
$text['tp-legal'] = "Právní";
$text['tp-fontsize'] = "Velikost";
$text['tp-indentation'] = "Odsazení";
$text['tp-characters'] = "znaky";
$text['tp-height'] = "Line height";
$text['tp-savesettings'] = "Uložit do souboru cookie";
$text['tp-clearcookie'] = "Vymazat cookie";
# Other Labels for the form in the Format for Printing page
$text['tp-chartcontent'] = "Obsah Grafu";
$text['tp-submit'] = "Předložit";
# Strings for the chart headings:
$text['tp-descend'] = "Potomci z";
$text['tp-ancestor'] = "Předci z";

# Strings for the Text+ Descendant chart summary
$text['tp-inchart'] = "Počet lidí v tomto grafu";
$text['tp-initially'] = "zpočátku";
$text['tp-including'] = "počítaje v to";
$text['tp-spouses'] = "manželé";
$text['tp-and1parent'] = "a 1 rodiče";
$text['tp-andparents'] = "a XXX rodičů";
$text['tp-hidden'] = "Počet lidí, kteří byli skryti";
$text['tp-links'] = "Odkazy";
$text['tp-visiblelinks'] = "Viditelné odkazy";
$text['tp-additionaldesc'] = "na grafy, které ukazují další potomky";
$text['tp-lines'] = "Linky";
$text['tp-visiblelines'] = "Viditelné čáry";
$text['tp-wrapped'] = "které zabalí do jiného řádku";
# Strings for the pedigree chart summary
$text['tp-chartdisplayed'] = "Tento graf obsahuje";
$text['tp-directanc'] = "přímých předků";
$text['tp-additionalanc'] = "Odkazy na grafy, které ukazují další předky";
$text['tp-among'] = "mezi";
$text['tp-linesbegin'] = "ancestral lines begin in this chart";
$text['tp-showdetails'] = "Show details";
$text['tp-omitdetails'] = "Omit details";
$text['tp-carrieddown'] = "Carried down at least one generation";
$text['tp-carriedin'] = "Lines carried in from above";
# Strings for both chart summaries
$text['tp-chartsummary'] = "Chart Summary";
$text['tp-lcpeople'] = "lidé";
$text['tp-ingenerations'] = "v generacích XXX";
# Strings used to compose date/place values
$text['tp-unknownvalue'] = "neznámý";
$text['tp-unknowndisplay'] = "??";
$text['tp-alive'] = "naživu";
$text['tp-married1'] = "m"; //The prefix for marriage date place, e.g. (m.01 Jan 1911)
$text['tp-werecousins'] = "Tento pár byl navzájem spojen. Jakékoli potomky byly již uvedeny";
$text['tp-chrabbr'] = "chr.";  #Abbreviation for "Christening"
$text['tp-gen'] = "Gen"; #Shortened form of Generation
# Other
$text['tp-locate'] = "Locate";

# For the date/place options form - most are also used in admin_pedconfig.php
$text['tp-redisplay'] = 'Redisplay Chart';
$text['tp-dateplacetitle'] = 'Date & Place Options';
$text['tp-dateformat'] = "Date format";
$text['tp-fulldate'] = "Full date value";
$text['tp-yearonly'] = "Year only";
$text['tp-showplace'] = "Show Placename";
$text['tp-threelines'] = "Show birth/death/marriage on separate lines";
$text['tp-sameplace'] = "Format when birthplace &amp; deathplace are the same";
$text['tp-conventional'] = "Conventional";
$text['tp-compact'] = "Compact";
$text['tp-showage'] = "Show age";
$text['tp-showmarriage'] = "Show marriage data";
$text['tp-marriageprompt'] = "Show marriage dates in the Ancestor chart with";
$text['tp-bothparents'] = "Both parents";
$text['tp-theirchild'] = "Their child";
$text['tp-neither'] = "Neither";

### For the default ancestor and descentant chart settings in admin_pedconfig.php.
$text['tp-textpluschoice'] = "Nová možnost(s)";

### For mod options- seen only by TNG administrators
$text['tp-mainprompt'] = "Initial Chart Width in the main TNG program window";
$text['tp-printprompt'] = "Initial Chart Width in the Format for Printing window";
$text['tp-printnotice'] = "This value will be overridden if users save their print formatting settings.";
$text['tp-allowdp'] = "Allow users to change the date/place settings";
$text['tp-footeranc'] = "Show the floating footer in the Ancestor chart";
$text['tp-footerdesc'] = "When should the floating footer in the Descendant chart appear";
$text['tp-footerload'] = "Immediately, as the program loads";
$text['tp-footerprune'] = "The first time a branch is pruned or restored";
$text['tp-footernever'] = "Never";
$text['tp-footerreopens'] = "Can the Descendant floating footer re-open after it has been closed";
$text['tp-leaflinkprompt'] = "On printouts, omit the <b>=></b> links to a new chart";
$text['tp-leaflinknote'] = "If printed, they will be formatted to stand out less";
$text['tp-iconsprompt'] = "Which chart-link icons are to be shown next to each person's name in which chart?";
$text['tp-linkto'] = "Link to";
$text['tp-inancestor'] = "In the Ancestor chart";
$text['tp-indescendant'] = "In the Descendant chart";
$text['tp-eolprompt'] = "Display Ancestral Lines in the Ancestry Chart summary";
$text['tp-andfloating'] = "and floating footer";

###The notes that go below the options and that refer the user to other options.
$text['tp-otheroptions'] = "Other Text+ Chart Options";
$text['tp-pedoptionsnote'] = "The Text+ Charts can be set up as the initial pedigree and/or
descendant chart through the 'Initial Display' fields in the 'Pedigree Chart' and 'Descendancy Chart'
subforms up at the top of this page";
$text['tp-bothlinks'] = "(Both links open in a new tab or window)";
$text['tp-utilitynote'] = "Also, the Innermenu Utility installed by TextPlus Charts has two Mod Parameters that are edited through the Mod Manager.";

### Strings for the utility program that disables Text Chart links
### These are seen only by TNG admins, and I'm not even sure that any uses that
### program, so these might not be worth translating
$text['tp-utility1'] = "TextPlus Charts Innermenu Utility";
$text['tp-utility2'] = "Disable Standard Text Chart Links";
$text['tp-close'] = "Close this window";
$text['tp-disable'] = "Disable";
$text['tp-restore'] = "Restore";
$text['tp-restored'] = "Link has been restored";
$text['tp-disabled'] = "Disabled";
$text['tp-linkdisabled'] = "Link has been disabled";
$text['tp-notfound'] = "not found";
$text['tp-nofile'] = "File not found";
$text['tp-nocomment'] = "Required text not found";
$text['tp-nolink'] = "Link not found";
$text['tp-nochange'] = "??No change made??";
$text['tp-nowrite'] = "??File write not successful??";
$text['tp-other'] = "Other";
$text['tp-missing'] = "Missing";
?>

