<?php
##### rrtextplus_help.php, installed by ###TextPlus Charts, by Robin Richmond
$imagepath = "textplus/"; #path to images and/or file prefix
$tngModNames['TextPlus Charts']['textplus_help.php'] = '16'; #Register this mod

include("../../helplib.php");
echo help_header("Help: TextPlus Charts");
function isConnected() {
    // use 80 for http or 443 for https protocol
    $connected = @fsockopen("www.google.com", 80);
    if ($connected){
        fclose($connected);
        return true;
    }
    else
	    return false;
}
echo "<body class=helpbody>\n";
	if(isConnected()) {
		echo "<script src=\"https://code.jquery.com/jquery-3.3.1.min.js\" integrity=\"sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=\" crossorigin=\"anonymous\"></script>\n";
		echo "<script src=\"https://code.jquery.com/ui/1.12.1/jquery-ui.min.js\" integrity=\"sha256-VazP97ZCwtekAsvgPBSUwPFKdrwD3unUfSGVYrahUqU=\" crossorigin=\"anonymous\"></script>\n";
	}
	else {
		echo "<script type=\"text/javascript\">// <![CDATA[\nwindow.jQuery || document.write(\"<script src='../../js/jquery-3.3.1.min.js?v=910'>\\x3C/script>\")\n//]]></script>\n";
		echo "<script type=\"text/javascript\">// <![CDATA[\nwindow.jQuery.ui || document.write(\"<script src='../../js/jquery-ui-1.12.1.js?v=910'>\\x3C/script>\")\n//]]></script>\n";
	}
?>
<style>
  h2 {margin-top:0;}
  .topmargin {margin-top:1ex;}
  .nobottom {margin-bottom:0;}
  .notop {margin-top:0;}
  div.p {margin:1ex 0;} /* Suppresses vertical spacing from embedded lists */
  div.p p,div.p ol, div.p ul {margin-top:0; margin-bottom:0;}
  ol.p>li {margin-top:1ex;} /* Each list item is spaced like a paragraph */
  .nobold {font-weight:normal;} /* For use in headings */
  .noh2 {font-weight:normal; font-size:65%;} /* Allow normal text in H2 headings */
  /* Draw a border around text that is expanded (not poppued up) by a button */
  .expansion {border:thin solid grey; padding:5px;}
  /* Different background for content that is the same for the Descendant and Ancestor Charts */
  .same {/* background-color:linen; */}
  /* Table of contents */
  .toc li{font-weight:bold;}
  .toc a{text-decoration:none;}
  .toc a:hover{text-decoration:underline;}
</style>
<script src="../../js/litbox.js"></script>
<script type='text/javascript'>
var closeimg = "../../img/tng_close.gif";
var tnglitbox;
///////////////////////////////////////////////////
//Javascript function to open an image file in a second pop-up window.
function openHelpImage(filename, width, height) {
	if (!width) width='770';
	if (!height) height='550';
	var newwindow = window.open(filename, 'image', 'height='+height+',width='+width+',resizable=yes,scrollbars=yes');
	return false;
} //end function openHelpImage
<?php
if ($allow_admin) {
?>
//////////////////////////////////////////////////////////
//Document.ready function to pop up message for TNG administratorsa
$(function () {
	var content = "<div style='padding:10px;'>"
	+ "<p>The Text+ Charts offer more dynamic features than typical TNG end-user charts and pages, "
	+ "and require special effort to print. "
	+ "Thus, this help file was written for end users rather than for TNG Administrators.</p> "
	+ "<p>See the <a href='http://tng.lythgoes.net/wiki/index.php?title=TextPlus_Charts' "
	+ "target='_blank'>TextPlus Charts Wiki Page</a> "
	+ "for information specifically relevant to site administrators, "
	+ "and for additional annotated examples of Text+ Charts.</p></div>";
	var title = "Note for TNG Site Administrators";
	new LITBox(content,{type:'alert', width:'450px', height:'110px', overlay:false, title:title});
}); //End document.ready function
<?php
}
?>
</script>

<table id='top' width="100%" border="0" cellpadding="10" cellspacing="2" class="tblback normal">
<tr class="fieldnameback">
	<td class="tngshadow">
		<p style="float:right; text-align:right" class="smaller menu">
			<a href="http://tngforum.us" target="_blank" class="lightlink">TNG Forum</a> &nbsp; | &nbsp;
			<a href="http://tng.lythgoes.net/wiki" target="_blank" class="lightlink">TNG Wiki</a><br />
			<a href="pedconfig_help.php" class="lightlink">&laquo; Help: Chart Settings</a>
		</p>
		<span class="largeheader">Help: Text+ Charts </span>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">
		<h2>Overview</h2>
		<h4>The Back-story</h4>
		<p>The web application behind this family tree website is called <b>TNG</b>
		(for <b>T</b> <b>N</b>ext <b>G</b>eneration of Genealogy Sitebuilding), and, for the most part,
		this help page describes how the so-called "TextPlus" charts are different from
		TNG's text-based Ancestor and Descendant charts,
		which are essentially the same as standard Pedigree and Descendancy charts.
		</p>
		<h4>Text+ Charts</h4>
		<b>There are two types of Text+ Chart - a pedigree chart, and a descendant chart.</b>
		<div class='p'>Fundamentally,
		<ul>
		<li>The Text+ Descendant Chart is distinct from standard text-based outline-format descendancy charts
			<ol><li>In that it draws lines from parents to children,</li>
				<li>In the amount of data that it can present for each person in the chart, and</li>
				<li>In the way that it allows users to prune branches of a descendancy tree,
					and print only selected branches.</li>
			</ol></li>
		<li>The Text+ Ancestor Chart is distinct from standard Pedigree charts in that
			<ol>
			<li>It is not constrainted by the typical limit of 5 generations when printed on standard
				letter- or A4-sized paper in portrait mode, and</li>
			<li>It allows up to 15 or so generations to be printed in a single chart,
				without requiring that printed pages be lined up side-by-side,</li>
			</ol>
			Essentially, the Text+ Chart trades width for length, producing charts that are longer
			than standard charts, but that contain much more data.</li>
		</ul>
		</div>
		<div class='p'>
		The Text+ charts are dynamic in that you can
		<ul><li>Choose how many generations to include in a chart,</li>
			<li>Add and remove several chart features,</li>
			<li>Control the font size, spacing, and indentation, and</li>
			<li>Control the chart width and margins
				<br>(Well, controlling the chart width and margins is not really a 'feature',
				it is a requirement imposed by aspects of the chart design.)</li>
		</ul>
		</div>
		<div class='p'>
		<b>It is very important that you be aware that the Text+ Charts do not wrap to the browser's
		(or a printed page's) width like most web pages.</b> 
		If long lines in the chart wrap to the far left rather than to the indentation level on which
		the line started,
		<ul>
		<li>You <i>may</i> select formatting options that change the chart's contents, font size, and indentation,</li>
		<li>You <i>must</i> select a chart width that matches the browser or printer window, and</li>
		<li>You <i>may</i> fine-tune that width.</li>
		</ul>
		</div>
		<p>See the <a href="http://tng.lythgoes.net/wiki/index.php?title=TextPlus_Charts" target="_blank">TextPlus Charts Wiki Page</a> for additional descriptions and examples of Text+ Charts.
		</p>
		<div class='toc'>
		<h3>Table Of Contents</h3>
		<ol type='I'>
			<li><a href='#descend'>The Text+ Descendant Chart</a></li>
				<ol type='A'>
				<li><a href='#descendprint'>In the "Format for Printing" window</a></li>
				<li><a href='#descendmain'>The Text+ Ancestor Char</a></li>
				</ol>
			<li><a href='#ancestor'>The Text+ Ancestor Chart</a></li>
				<ol type='A'>
				<li><a href='#ancestorprint'>In the "Format for Printing" window</a></li>
				<li><a href='#ancestordmain'>The Text+ Ancestor Char</a></li>
				</ol>
			<li><a href='#margins'>Review of Margins and Line-Wrapping</a></li>
			<li><a href='#admin'>Administrative Settings</a></li>
			<li><a href='#navigate'>Navigating the Family Tree</a></li>
			<li><a href='#boundary'>Boundary Conditions</a></li>
			<li><a href='#author'>Author's Notes</a></li>
		</ol>
		</div>
		(The Text+ Descendant Chart and the Text+ Ancestor Chart have many common components, but the description of each chart tries to be comprehensive.
		In this help file, <span class='same'>text with this shaded background</span> is essentially duplicated in the descriptions of the Text+ Descendant Chart and the Text+ Ancestor Chart).
	</td>
</tr>
<tr class="databack" id="descend">
	<td class="tngshadow">
		<div style="float:right"><a href="#top">Table of Contents</a></div>
		<h2>I. The TextPlus Descendant Chart</h2>
		<p class='nobottom'>The Text+Descendant chart should look rather familiar, because it has essentially the same structure as the standard TNG Text Descendant Chart.
		Both charts have the same indented hierarchical structure, and include the same people, given the same number of generations.  The Text+ Chart does have less vertical whitespace, because</p>
		<ol type='a' class='notop'>
		<li>The standard Text Descendant Chart uses superscripts, which adds space between lines, and</li>
		<li>The Text+ Descendant Chart is squeezed a little bit to make sure that the characters that form vertical lines are connected to each other.</li>
		</ol>
		<p class='topmargin'>This explanation of the Text+ Descendant Chart will start with the "Format for Printing" page, because <b>the critical line-wrapping feature of the Text+ charts is implemented only in the Format for Printing page.</b></p>
		<p class='nobottom same'><b>If you intend to print a Text+ Chart, then it is very important that you open the "Format for Printing" page so that the chart's text will wrap appropriately, and allow you to print a "clean" Chart.</b> This step is necessary because</p>
		<ul class='notop same'>
		<li>Each generation is indented, so there is no fixed left margin for the wrapping, and</li>
		<li>More significantly, the continuous vertical bars are generated by line-drawing characters, not by drawn lines or block element borders. As a result, if a person in the chart and that person's data were in an HTML div that allowed wrapping back to the person's left margin, the program would have no (straightforward) way to know how tall the wrapped block is, and how many lines of vertical line-drawing characters to insert in order to keep the vertical lines continuous.</li>
		</ul>
		Or
		<ul class='notop same'>
		<li>The actual area for text wrapping varies with each generation in the chart, and</li>
		<li>When the information for a person has to wrap to a new line, an addition row of vertical bars need to be generated.</li>
		</ul>
		<p><a href='#'>Table of Contents</a></p>
	</td>
</tr>
<tr class="databack" id='descendprint'>
	<td class="tngshadow">
		<div style="float:right"><a href="#top">Table of Contents</a></div>
		<h2>I. A. The Text+ Descendant Chart in its "Format for Printing" window. &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
		<a class='noh2 nw' href="<?php echo $imagepath; ?>descendant_print.jpg" onclick="return openHelpImage('<?php echo $imagepath; ?>descendant_print.jpg',759,494);">(open screen clip in new window)</a></h2>
		<img src="<?php echo $imagepath; ?>descendant_print.jpg" width='684' height='445' alt="Text+ Descendant Chart in the Format For Printing page">

		<h3 class='nobottom'>Elements that are distinctive to the Text+ Descendant Chart <span class='nobold'>(shown just above)</span></h3>
		<p class='notop'><a href="descendant_print.jpg" onclick="return openHelpImage('<?php echo $imagepath; ?>descendant_print.jpg',759,494);">(Open this screen clip in a new window)</a><p>

		<ol>
		<li>The HTML form immediately below the page heading serves in place of the Inner Menu that is in the main Text+ chart window.
			<br><em>The form will not print when the page is sent to a printer.</em>
<?php
commonText_FormatForPrintingForm(1,'descend');
?>
		</li>
		<li>Just below the form is a chart legend that is based on the legend in the TNG Text Descendant Chart.
			The meaning of the icons and buttons are exactly the same here as in the native Text Descendant Chart.
			<br><em>The legend will not print when the page is sent to a printer.</em></li>
		<li>Unlike the native Text Descendant Chart, the Text+ Descendant Chart shows the parents of the starting person.</li>
		<li>The native Text Descendant Chart shows just the <i>year of birth and death</i>,
			but the Text+ Descendant Chart shows full date and place of birth, death, and marriage.</li>
		<li>The outlined plus and minus signs are icons that control tree pruning in the native Text Descendant Chart are
			also present in the Text+ Descendant chart. The chart starts with all branches displayed, and all of the icons are minus signs.
			<ol type='a'>
			<li>The minus sign next to William Rogers Richmond indicates that all of his children are displayed.</li>
			<li>The plus sign next to Flossie Lee Grover (and next to Hattie Lamons a couple of lines above)
				indicate that their descendants have been pruned from the tree.</li>
			</li>
			In the Text+ Descendant Chart, a dynamic Chart Summary notes how many people have been pruned from the tree.
			The summary is updated each time a branch is pruned from or restored to the chart.</li>
		<li>Sara Elizabeth (Lizzie) Bacon is one of several people in the tree whose data has been wrapped to a new line.
			It is important to remember that the Text+ Chart programs, not the web browser, wrap lines within the chart.
			The wrapping is controlled be the fields in the "Format for Printing" (item 1a) fieldset above.
			<br>If the web browser (or print page) width causes a line to wrap,
			the new line will start <i>at the far left margin</i> and will break up the flow of the chart.</li>
		<li>Vertical dotted lines connect multiple spouses of one person.
			<br>In this case, Mary Wattenbarger, the first daughter of Susannah Barger and Jacob Adam Wattenbarger,
				was married first to William Rogers Richmond, and then to Gilmore Randolph.</li>
		<li>The data for Gilmore Randolph is displayed in a space-saving format distinct to the Text+ Charts.
			When an person was born and died in the same place, the placename is shown only once,
			followed by a semicolon, and then the two dates.</li>
		<li>Both Text+ charts end with a summary that reports various chart attributes. The summary shown above reveals that:
			<ul>
			<li>When first displayed, the chart contained 379 people, but 154 of them have been pruned,
				and are not visible at this point, leaving 225 people in the chart.</li>
			<li>The chart contains 5 generations of people (not counting the starting person's parents).
				<br>(On the computer screen, the number of generations is also shown in the Chart Content fieldset in the form at the top of the chart, but that form is not printed.)</li>
			<li>As in the native Text Descendant Chart, people in the last generation of the chart who have descendants
				(i.e. places where the chart could be extended) are flagged with a hyperlink (shown as "=>")
				to a descendant chart for that persons. In this chart, among the people who are still visible,
				one person has such a link.
				<br>(That person is not shown in this screen clip.)</li>
			<li>This 225-person chart, data has been wrapped onto a subsequent line 192 times.
				Making the safe assumption that no lines on the native Text Descendant Chart are forced to wrap to a new line, we thus infer that the additional data in the Text+ Descendant chart (that is, full dates, placenames, and marriage date and place) make this chart 192 lines longer than the corresponding native Text Descendant chart. That means that the data provided in the Text+ chart.</li>
			</ul>
			<b>Importantly</b>, the chart summary, as shown in this screen clip,
			pops up over the chart at the bottom of the computer screen whenever a branch is pruned or restored.
			As with most windows and popups, the X in the corner of the popup window closes the window, leaving the summary at the bottom of the page.
			(The chart's styling rules assure that, when you send the chart to a printer, the summary is at the bottom, not popped up where you see it on the screen.)
		</ul></li>
		</ol>
		<p><a href='#'>Table of Contents</a></p>
	</td>
</tr>

<tr class="databack" id='descendmain'>
	<td class="tngshadow" id='pedigree'>
		<div style="float:right"><a href="#top">Table of Contents</a></div>
		<h2>I.B. The Text+ Descendant chart in the main window. &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a class='nobold noh2 nw' href="<?php echo $imagepath; ?>descendant_example.jpg" onclick="return openHelpImage('<?php echo $imagepath; ?>descendant_example.jpg',690,517);">(open screen clip in new window)</a></h2>
		<img src="<?php echo $imagepath; ?>descendant_example.jpg" width='690' height='517' alt="Text+ Descendant Chart">

		<h3 class='nobottom'>Elements in the main window version of the Text+ Chart that differ from the Format for Printing window</h3>
		<p class='notop'><a href="descendant_example.jpg" onclick="return openHelpImage('<?php echo $imagepath; ?>descendant_example.jpg', 690, 517);">(Open screen clip in new window)</a></p>
		<ol>
<?php
commonText_InnerMenu();
?>
			<li>The control that links to the straight line Descendancy Chart is present in this page,
				but not in the Format for Printing window.</li>
			<li>Note that this screen clip is not as wide as the browser window, and cuts off much of the chart.
				The chart is formatted to the "Legal" page width, as specified in the 3rd line of the Inner Menu.
			<li>Here, Jacob Adam Wattenbarger's data has wrapped to the left margin because the underlying
				browser window was not quite wide enough to accommodate the "legal" width specified in the 3rd line of the Inner Menu.
				On the screen, you can often just make the window a little wider, but with a printer, you can't;
				you have to adjust the Print Formatting controls.</li>
		</ol>
		<p><a href='#'>Table of Contents</a></p>
	</td>
</tr>
<tr class="databack" id='ancestor'>
	<td class="tngshadow" id='pedigree'>
		<div style="float:right"><a href="#top">Table of Contents</a></div>
		<h2>II. The TextPlus Ancestor Chart</h2>
		<p>The Text+ Ancestor chart is significantly different from other Ancestor charts, in TNG and elsewhere.
		It presents ancestors in a horizontal binary tree, and indents each generation, like standard Ancestor charts,
		but it does not constrain the information about an ancestor to a box or column.
		Nor does it leave placeholder space for missing ancestors, like many Ancestor charts.
		Instead, like the TNG Text Descendant Chart and the Text+ Descendant Chart,
		it lets information about each ancestor to flow to the right margin, and break onto a new line when necessary.</p>
		<p>The key advantage of the Text+ Ancestor Chart is that it allows many generations of ancestors to be printed
		on a screen or paper width that would only accommodate four to six generations in a traditional Ancestry Chart.</p>
		<p>The advantages of the Text+ Ancestor Chart show up when the chart includes more than five or so generations,
		so here are excerpts from a an 11-generation report, which shows the effect of Text+ line-wrapping.
		The intent is not to show the full length of the chart,
		but rather to show how eleven generations can be fit into the width of a 8.5" x 11" page in portrait orientation.</p>
		<p><a href='#'>Table of Contents</a></p>
	</td>
</tr>
<tr class="databack" id='ancestorprint'>
	<td class="tngshadow">
		<div style="float:right"><a href="#top">Table of Contents</a></div>
		<h2>II. A. The Text+ Ancestor chart in the Format for Printing window. &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a class='noh2 nw' href="<?php echo $imagepath; ?>ancestor_print.jpg" onclick="return openHelpImage('<?php echo $imagepath; ?>ancestor_print.jpg',695,673);">(open screen clip in new window)</a></h2>
			<img src="<?php echo $imagepath; ?>ancestor_print.jpg" alt="Text+ Ancestor Chart">

		<h3 class='nobottom'>Distinctive Elements of the Text+ Ancestor Chart</h3>
		<p class='notop'><a href="ancestor_print.jpg" onclick="return openHelpImage('<?php echo $imagepath; ?>ancestor_print.jpg',695,673);">(Open this screen clip in a new window)</a><p>

		<ol>
		<li>The HTML form immediately below the page heading serves in place of the Inner Menu that is in the main Text+ chart window.
			The form will <i>not</i> print when the page is sent to a printer.
			<ol type='a'>
<?php
commonText_FormatForPrintingForm(2,'ancestor');
?>
			</ol></li>
		<li>The green arrows point to the first two lines in the chart that have been wrapped by the chart program,
			as directed by the Print Formatting parameters.
			(Remember that we never want the web browser to wrap a line in the Text+ charts,
			because it will wrap to the left margin of the page, not back to the point where the name started.)</li>
		<li>Ida Marie Horton, in Generation 1,
			shows the effect of the Focus on Generation control in the Chart Content fieldset above.
			Here's an example of a focus on generation 5:<br/>
			<img src="<?php echo $imagepath; ?>ancestor_focus.jpg" alt="Focus on Generation 5"><br>
			To disable the focus highlighting altogether, the value 'none' must be selected in the Focus on Generation drop-down box.
		</li>
		<li>Inside the chart, in the vertically-oriented green rectangle, you can see these features:
			<ol type='a'>
			<li>The generation numbers 4, 5, and 6 (twice) are displayed immediately before an individual's name
				because the <b>Generation#'s</b> box is checked.
				(Note that the <b>Sibling #s</b> checkbox is <em>not</em> checked.</li>
			<li>The vertical lines go down to a mother and up to a father.</li>
			</ol></li>
		<li>In the middle right, the text arrow ("=>") is a hyperlink to more ancestors for Rev. Adam Blakeman.
			This arrow is used by the native TNG Ancestor and Descandant Charts, and the both Text+ charts,
			but, in the Text+ Ancestor chart, it is shifted close to the right margin so that it is more visible.</li>
		<li class='same'>Near the bottom of the chart, Mary Davis Dickinson's data is presented in a
			date/place formatting style used by both Text+ charts to save horizontal space.
			When an individual was born and died in the same place, the placename is shown only once,
			followed by a semicolon, and then the two dates.</li>
		<li class='same'>Both Text+ charts include a summary that reports various chart attributes.
			The notation "72 direct ancestors among 73 people" may seem unnecessary,
			but if the <b>Sibling</b> checkbox had been checked, there would be aunts and uncles to count,
			in addition to direct ancestors.</li>
		</ol>
		<p><a href='#'>Table of Contents</a></p>
	</td>
</tr>

<tr class="databack" id='ancestormain'>
	<td class="tngshadow" id='pedigree'>
		<div style="float:right"><a href="#top">Table of Contents</a></div>
		<h2>II.B. The Text+ Ancestor chart in the main window.</h2>
		<img src="<?php echo $imagepath; ?>ancestor_example.jpg" alt="Text+ Ancestor Chart">

		<h3 class='nobottom'>Elements in the main window version of the Text+ Ancestor Chart that differ from the Format for Printing window</h3>


		<ol class='p'>
<?php commonText_InnerMenu(); ?>
		</ol>
		The chart itself is just like the chart in the Format for Printing window.
		<p><a href='#'>Table of Contents</a></p>
	</td>
</tr>

<tr class="databack" id="textplusadmin">
	<td class="tngshadow">
		<div style="float:right"><a href="#top">Table of Contents</a></div>
		<h2>III. Administrative Settings for Text+ Charts</h2>
		<p style='margin-bottom;0'>
		The TextPlus Charts mod modifies two fields in the <b>Admin >> Setup >> Configuration >> Chart Settings</b> form.</p>
		<ol style='margin-top:0;margin-bottom:0;'>
		<li>In the <b>Pedigree Chart</b> subform, the <b>Initial Display</b> field now has an entry called "Text+"
			that allows the Text+ Descendancy Chart to become the default descendancy chart in the Person Profile.</li>
		<li>Similarly, in the <b>Descendancy Chart</b> subform, the <b>Initial Display</b> field also now has an entry called "Text+"
			that allows the Text+ Pedigree Chart to become the default Person Profile pedigree chart.</li>
		</ol>
		<img src="<?php echo $imagepath; ?>setup.png" alt="Text+ Administrative Setup">
		<br/><p><a href='#'>Table of Contents</a></p>
	</td>
</tr>
<tr class="databack" id='navigate'>
	<td class="tngshadow">
		<div style="float:right"><a href="#top">Table of Contents</a></div>
		<h2>IV. Navigating the Family Tree</h2>
		(That is, following links in the Text+ Charts.)
		<p>
		As with the regular TNG family charts, person's names in the Text+ charts are hyperlinks to that person's profile.
		Also, at the ends of some lines of data, the character string <b>=></b> forms a hyperlink to that person's Text+ Pedigree or Descendant Chart.
		(A bold red arrow points to one of those end-of-line continuation links in the illustration above.)
		</p>
		<p>
		But on the Pretty-Print screen, with the printer-configuration form, those links are not defined.
		You must use the "main" screen (with your template colors) to navigate within the family tree,
		and then use the black-and-white Pretty-Print screen just to set up the printer settings.
		</p>
		<p><a href='#'>Table of Contents</a></p>
	</td>
</tr>
<tr class="databack" id='boundary'>
	<td class="tngshadow">
		<div style="float:right"><a href="#top">Table of Contents</a></div>
		<h2>V. Boundary Conditions</h2>
		(What happens as the number of generations grows and the vertical lines approach the right margin.)
		<p>
		There is no specific limit to the number of generations you can <em>try to</em> print with any given set of parameters,
		though things will start to break down as the vertical lines drawn by the programs approach the right margin.
		Specifically:
		<ol>
		<li>The last generation or two that fits on a line will be wrapped in a small-enough area to make each person's data take several lines to print.
		<li>A person's name is never wrapped, so there is not room on a line for the entire name, the name will wrap to the far-left margin when you print.</li>
		<li>If there are fewer than nine available spaces for data on a line, an error message will be displayed indicating that the data will not fit on the chart with the current print parameters.</li>
		</ol>
		<p>
		If any of these conditions occur, you can simply decrease the indentation or font size, or increase the page width.
		(Or, of course, decrease the number of generations.)</p>
		<p><a href='#'>Table of Contents</a></p>
	</td>
</tr>
<tr class="databack" id='author'>
	<td class="tngshadow">
		<div style="float:right"><a href="#top">Table of Contents</a></div>
		<h2>VI. Author's Notes</h2>
		<span class="optionhead">Limiting Line-Wrapping by abbreviating place names</span>
		<div class='p'>
		Both Text+ charts include (a) the the date and place of birth and
		(b) the date and place of death OR the date and place of last-known residence for each person.
		And the Text+ Pedigree report includes (c) the date and place of marriage.
		This amount of data can result in a fair amount of line-wrapping.
		To reduce that line-wrapping, the author has implemented a scheme that adds some database fields to the TNG
		database and that uses algorithms to create shortened copies of each place name.  For example, it can use "Chicago, Cook, IL" and "Harris Co, TX" as <i>alternatives</i>, not <i>replacements</i> for "Chicago, Cook County, Illinois, USA" and "Harris County, Texas, USA".
		This scheme affects only USA place names, and
		<ul style="margin-top:0;">
		<li>Abbreviates or eliminates the word "County",</li>
		<li>Uses state abbreviations in place of full state names where the place name includes a town or county,</li>
		<li>Recognizes and eliminates several funky census locales such as ("Magisterial Disctrict 3"), and</li>
		<li>Eliminates county names when showing the place of residence.</li>
		</ul>
		</div>

		<p>The effectiveness of this scheme, of course, depends on one's data,
		and increases with the number of generations of ancestors or descendants in a chart.
		For charts that display several generations of ancestors or descendants,
		this scheme can reduce the number of lines in a report by as much as 10%,
		which may or may not be significant to a specific user.</p>
		<p>
		This scheme has been implemented in an unpublished TNG mod.  If you are interested in it,
		contact the mod author via the links on the
		<a href="http://tng.lythgoes.net/wiki/index.php?title=TextPlus_Charts" target="_blank">TextPlus Charts Wiki Page</a>.
		</p>
		<hr>
		<span class="optionhead">Using HTML rather than PDF</span>
		<p>FWIW, most web applications that do their own line-wrapping like the Text+ Charts generate PDF files, which allow print characteristics to be controlled with more specificity that is possible with HTML.
		But I first wrote HTML versions of the Text+ charts long before the PDF format became standard (and before I implemented them in TNG),
		and I've simply continued to use HTML with each new implementation.
		<p><a href='#'>Table of Contents</a></p>
	</td>
</tr>

</table>
</body>
</html>
<?php
#######################################
#The function holding common text is defined here and then called again in the Ancestor chart description.
function commonText_FormatForPrintingForm($instance, $whichchart) {
?>
	<ol type='a'>
	<li>The <b>Format for Printing</b> <i>fieldset</i> appears only in the Format for Printing <i>window</i>,
		and is identical in the Text+ Ancestor and Descendant Chart programs.
		<div class='p'>
			Because of the generation indentation and the connecting lines in Text+ charts,
			the Text+ Chart programs cannot rely on the Web browser to wrap text at the browser window or printer margin.
			Instead, the Text+ Chart program have to do their own line wrapping.
			This fieldset contains controls that determined how much space is available on a line.
			<div class='descfieldset1<?php echo $instance; ?>'>
				<a href='#' onclick="$('.descfieldset1<?php echo $instance; ?>').toggle();return false;">Show details of the Format for Printing fieldset</a></div>
			<div class='descfieldset1<?php echo $instance; ?>' style='display:none;'>
				<a href='#' onclick="$('.descfieldset1<?php echo $instance; ?>').toggle();return false;">Hide details</a></div>
		</div>
		<div class='expansion descfieldset1<?php echo $instance; ?>' style='display:none;'>
			<h4 class='nobottom'>The controls in the <b>Format for Printing</b> fieldset</h4>
			<ul class='p'>
			<li>The first four controls are options that determine how much text can fit on one line of the chart:
				<ol type='i' class='notop p'>
				<li><b>The Indentation for each generation</b>. The default is 6 characters.</li>
				<li><b>Font size</b>. The default is 9-point type, using the default TNG font.</li>
				<li><b>Page Width</b>. This is the paper width that you expect to print on.
					The four possible values are "Mobile" (about 4 inches) "Portrait", "Landscape",
					and "Legal" (which is really "Legal Landscape").</li>
				<li><b>+/- n characters</b>.
					This fudge factor can be used two extend or shorten the lines of data in the Text+ charts.
					You would use it if you find that, when you print a chart,
					some lines are too long and wrap all the way to the left margin,
					or the right margin on the printed page is too wide.
					Two factors outside of the control of the Text+ Chart programs affect the <i>available</i> page width.
					<ol>
					<li>Different web browsers can have different default margin settings,
						and computers users (account-holders on a PC) can set their own default margins.</li>
					<li>The fudge factor is useful in adjusting the line length to accommodate European A4 paper,
						which is is little narrower and shorter than USA letter paper.</li>
					</ol>
					The fudge factor also may be needed to deal with the fact that the algorithm used to
					compute the available width of Text+ lines is not perfectly accurate, and might be
					consistently high or low for certain page widths.</li>
				</ol></li>
			<li>The last two controls in the <b>Format for Printing</b> fieldset deal with a persistent cookie that
				saves the four spacing controls so that they can be used the next time a Text+ chart is loaded into a
				<b>Format for Printing</b> window.
				There are separate cookies for Text+ Ancestor and Descendant charts,
				but the two cookies are controlled in exactly the same way.
				<ol type='i' class='notop p'>
				<li><b>Save Cookie checkbox</b>.
					When this box is checked, the cookie will be saved as the form is submitted.</li>
				<li>The second control is a button whose value depends on whether a cookie has been saved.
					<ul>
					<li>If it says "No Cookie", then it doesn't do anything.</li>
					<li>If it says "Clear Cookie",
						then the cookie for the current type of Text+ Chart is cleared as soon as the button is clicked.
						Clearing the cookie does not affect the current print-formating settings.</li>
				</ol>
				Note also these browser cookies, by their very nature, are associated with a particular user account on the PC
				(not to a user account in TNG), and to a specific web browser.
			</li>
			</ul>

			<h4 class='nobottom'>Testing your printer settings</h4>
			You can easily test your chart width settings by doing a "Print Preview" in your web browser,
			and looking at the resulting display.
			In most browsers, the the Print Preview does not distinguish the margins in the content from the
			printer setup margins, so it may not be trivial to determine whether the Text+ Chart lines are
			too short, but it is trivial to see if the lines are too long. Lines that are too long will
			wrap to the far left, and will disrupt the indentation of the chart.

			<h4 class='nobottom'>Default values when there is no cookie</h4>
			If there is no cookie in the user's browser, then
			<ul>
			<li>For the Page Width, the program uses a default value that is specified by a mod parameter,
				and that is used for both types of Text+ chart.</li>
			<li>The other three defaults are hard-coded to 6 spaces of indentation,
				9pt font size, and a fudge factor of 0.</li>
			</ul>
			<div style='text-align:right;'>
				<a href='#' onclick="$('.descfieldset1<?php echo $instance; ?>').toggle();return false;">Hide details</a></div>
		</div>
	</li>
	<li>The "<b>Chart Content</b>" options control what is included in or excluded from the chart.
		<ul>
		<li>In the main window, the Chart Content options are in the first and second line of the Inner Menu,
			and are self-submitting.
			That is, the chart is changed immediately when a Chart Content option is changed.</li>
		<li>In the Format for Printing window, the Chart Content options are in the Chart Content fieldset,
			and are <i>not</i> self-submitting.
			You can change several options, and then submit the form to apply them to a new chart.</li>
		</ul>
		<div class='chartcontent<?php echo $instance; ?>'>
			<a href='#' onclick="$('.chartcontent<?php echo $instance; ?>').toggle();return false;">Show the Content Controls</a></div>
		<div class='chartcontent<?php echo $instance; ?>' style='display:none;'>
			<a href='#' onclick="$('.chartcontent<?php echo $instance; ?>').toggle();return false;">Hide details</a></div>
		<div class='p expansion chartcontent<?php echo $instance; ?>' style='display:none;'>
			<ol type='i' class='p'>
			<li><b>Generations</b>
				This dropdown box determines how many generations will be included in the report.
				Unlike the native TNG charts, the Generations control for Text+ charts can specify "all" generations.</li>
<?php
	if ($whichchart == 'descend') {
?>
			<li><b>Hide data of living and private people</b>.
				This option is shown <b>only if the user are logged in</b>.
				The intent of this option is to allow users to print charts that can be distributed to people without accounts,
				that is people who should not see living or private individuals.
				When this option is checked, living and private individuals are treated as though the user were not logged in,
				and are shown with the constraints defined for that specific TNG site.
				<br/>This option defaults to unchecked.</li>
			<li><b>Hide descendants of living and private people</b>.
				If you are logged in, then this option is labeled "Hide their descendants", and is disabled unless "Hide data of living and private people" is checked.</li>
			<li class='same'><b>Generation #s</b>
				When this option is checked, Generation numbers are placed immediately before each name in the chart, as illustrated in the screen clip above.</li>
			<li class='same'><b>Sibling #s</b>
				When this option is checked, each family's children are numbered starting with 1,
				producing two-part numbers as shown in the screen clip above.
				This option is disabled unless "Generation #s" is checked.</li>
<?php
	} else { #ancestor chart
?>
			<li><b>Siblings</b>.
				When this option is checked, the siblings of the starting person, and of each ancestor, are included in the chart. That is, Aunts and Uncles are shown in each generation, providing a richer view of the database.</li>
			<li><b>Sibling #s</b>.
				This option is available only if the Generation#s <i>and</i> Siblings options are both checked. When this option is checked, a sibling count is displayed along with the generation count in front of each name, like this:<br/>
				<img src="<?php echo $imagepath; ?>countsiblings.png" alt="Text+ Ancestor Chart Sibling Counts"></li>
			<li><b>Compact Format</b>.
				The Text+ Ancestry Chart normally adds vertical whitespace to improve its readability.  That whitespace is removed when this option is checked.</li>
			<li><b>Focus on Generation</b>.
				When a non-zero value is selected in this drop-down box, all of the names (but not the birth/death/marriage data) for people in that generation are highlighted in englarged brown text. This highlighting helps the user find people from a given generation.
				<p>Generation 1 - the starting person at the root of the tree - is highlighted when the page loads. The value 'none' in the selection list disables highlighting.</p>
				<p>Be careful about leaving the highlighting in effect when you print the chart.
					The enlarged letters are not taken into account by the program's text-wrapping algorithm,
					and highlighted lines might wrap prematurely.</p>
				<p>
<?php
	}
?>
			</ol>
			(Reminder: In general, you can make sure that your chart is wrapping properly
			for printing by doing a print preview in your web browser before you actually print.
			Some web browsers always show a print preview with the standard print dialog that lets you select the printer and page size,
			but some web browsers require you to invoke the print preview command explicitly.)
			<div style='text-align:right;'>
				<a href='#' onclick="$('.chartcontent<?php echo $instance; ?>').toggle();return false;">Hide details</a></div>
		</div>
	</li>
	<li>Two buttons are positioned to the right of the two fieldsets:
		<ul>
		<li>The <b>Submit</b> button submits the form and redisplays the Format for Printing page.</li>
		<li>The <b>Help</b> button pops-up this help file, at description of the active Text+ chart type.
		</ul>
	</li>
</ol>
<?php
} #end function commonText_FormatForPrintingForm

###################################################
function commonText_InnerMenu() {
?>
	<li>Just like the native Descendant and Ancestor charts, the first line of the
		TNG "Inner Menu" contains the <b>Generations</b> field that determines the maximum number of
		generations that the chart will contain,
		followed by several hyperlinks to other charts.</li>
	<li>In the third line of the Inner Menu, you can see
		<ol type='a'>
		<li>The page Width control is the only one of the Print Formatting controls that
			is in the main window.
		<li>Two buttons:
			<ul>The <b>Help</b> button opens this help page, and</li>
			<li>The <b>Format for Printing</b> button has the same effect as the
				<span class='nw'>&lt;&lt; Print &lt;&lt;</span> button in to the upper right.
				The button is duplicated here to emphasize the importance of opening the Format for Printing window to activate the line-wrapping features of the Text+ charts.</li>
			</ul></li>
		</ol></li>
<?php
} #end function commonText_InnerMenu
####################################################
?>

