<?php
######################### TextPlus Charts, Dutch v17
## Thanks to Henny Savenije & Bernard Wortelboer for help with the translations.
$text['tp-nofit'] = "Met deze printer instellingen, is er geen ruimte voor generatie";
$text['tp-graphicalview'] = "Graphical view of this family line";
$text['tp-charttypes'] = "Chart Types";
# Labels and title text for the Descendant chart controls and legend
$text['tp-markliving'] = "Verberg gegevens van levenden of privé"; #??? 'Verbergen gegevens voor wonen en particulieren"; #???
$text['tp-likenotlogged'] = "Make the chart look as if you were not logged in";#
$text['tp-hidetheirdescend'] = "Hide their descendants";
#Title if logged in, label if not
$text['tp-hidedescend'] = "Hide descendants of living and private people";
$text['tp-gennums'] = "generatie nummers";
$text['tp-siblingnums'] = "broer of zus nummers";
$text['tp-gennumrequired'] = "'Generation #s' must be checked";
$text['tp-printdesc'] = "Descendant Chart";
$text['tp-printanc'] = "Ancestor Chart";
$text['tp-locateperson'] = "Locate Person in Chart";
#Labels and title text for the Ancestor Chart content controls
$text['tp-frmsiblings'] = "Broers en zusters";
$text['tp-sibsgennumrequired'] = "'Siblings' &amp; 'Generation #s' must be checked";
$text['tp-compact'] = "Compact";
$text['tp-compactmsg'] = "Remove some blank lines that aid readability";
$text['tp-genfocus'] = "Highlight gen";
$text['tp-locateanc'] = "Show path to ancestor";
#Buttons in the inner menu
$text['tp-charthelp'] = "Chart Help";
$text['tp-printinghelp'] = "Printing Help";
$text['tp-datesplaces'] = "Dates & Places";
$text['tp-formatforprint'] = "Format voor Afdrukken";

###Format-for-printing labels & selection box options
$text['tp-pagewidth'] = "Breedte";
$text['tp-mobile'] = "Mobiel";
$text['tp-portrait'] = "Portret";
$text['tp-landscape'] = "Landschap";
$text['tp-legal'] = "Wettelijk";
$text['tp-fontsize'] = "Grootte";
$text['tp-indentation'] = "Inspringing";
$text['tp-characters'] = "Karakters";
$text['tp-height'] = "Line height";
$text['tp-savesettings'] = "Save";
$text['tp-clearcookie'] = "Clear";
# Other Labels for the form in the Format for Printing page
$text['tp-chartcontent'] = "Chart Content";
$text['tp-submit'] = "Uitvoeren";
# Strings for the chart headings:
$text['tp-descend'] = "Nakomelingen van";
$text['tp-ancestor'] = "Voorouders van";

# Strings for the Text+ Descendant chart summary
$text['tp-inchart'] = "Aantal mensen in deze grafiek"; #???
$text['tp-initially'] = "instantie";
$text['tp-including'] = "met inbegrip";
$text['tp-spouses'] = "partners";
$text['tp-and1parent'] = "en 1 ouder";
$text['tp-andparents'] = "en XXX ouders";
$text['tp-hidden'] = "Aantal mensen die verborgen zijn"; #????
$text['tp-links'] = "Links";
$text['tp-visiblelinks'] = "Zichtbare links"; #????
$text['tp-additionaldesc'] = "naar grafieken die extra afstammelingen tonen"; #????
$text['tp-lines'] = "Regels";
$text['tp-visiblelines'] = "Zichtbare regels";
$text['tp-wrapped'] = "die omslag naar een andere lijn"; #????
# Strings for the ancestor chart summary
$text['tp-chartdisplayed'] = "Dit overzicht toont";
$text['tp-directanc'] = "directe voorouders";
$text['tp-additionalanc'] = "Links naar grafieken die extra voorouders tonen";
$text['tp-among'] = "onder";
$text['tp-linesbegin'] = "ancestral lines begin in this chart";
$text['tp-showdetails'] = "Show details";
$text['tp-omitdetails'] = "Omit details";
$text['tp-carrieddown'] = "Carried down at least one generation";
$text['tp-carriedin'] = "Lines carried in from above";
# Strings for both chart summaries
$text['tp-chartsummary'] = "Chart Summary";
$text['tp-lcpeople'] = "personen";
$text['tp-ingenerations'] = "in XXX generaties";
# Strings used to compose date/place values
$text['tp-unknownvalue'] = "onbekend";
$text['tp-unknowndisplay'] = "??";
$text['tp-alive'] = "levend";
$text['tp-married1'] = "get"; //The prefix for marriage date place, e.g. (m.01 Jan 1911)
$text['tp-werecousins'] = "Dit paar is verwant aan elkaar. Enige nakomelingen zijn reeds opgenomen in de database ";
$text['tp-chrabbr'] = "ged.";
$text['tp-gen'] = "Gen"; #Shortened form of Generation
# Other
$text['tp-locate'] = "Locate";

# For the date/place options form - most are also used in admin_pedconfig.php
$text['tp-redisplay'] = 'Redisplay Chart';
$text['tp-dateplacetitle'] = 'Date & Place Options';
$text['tp-dateformat'] = "Date format";
$text['tp-fulldate'] = "Full date value";
$text['tp-yearonly'] = "Year only";
$text['tp-showplace'] = "Show Placename";
$text['tp-threelines'] = "Show birth/death/marriage on separate lines";
$text['tp-sameplace'] = "Format when birthplace &amp; deathplace are the same";
$text['tp-conventional'] = "Conventional";
$text['tp-compact'] = "Compact";
$text['tp-showage'] = "Show age";
$text['tp-showmarriage'] = "Show marriage data";
$text['tp-marriageprompt'] = "Show marriage dates in the Ancestor chart with";
$text['tp-bothparents'] = "Both parents";
$text['tp-theirchild'] = "Their child";
$text['tp-neither'] = "Neither";

### For the default ancestor and descentant chart settings in admin_pedconfig.php.
$text['tp-textpluschoice'] = "Nieuw opties";

### For mod options- seen only by TNG administrators
$text['tp-mainprompt'] = "Initial Chart Width in the main TNG program window";
$text['tp-printprompt'] = "Initial Chart Width in the Format for Printing window";
$text['tp-printnotice'] = "This value will be overridden if users save their print formatting settings.";
$text['tp-allowdp'] = "Allow users to change the date/place settings";
$text['tp-footeranc'] = "Show the floating footer in the Ancestor chart";
$text['tp-footerdesc'] = "When should the floating footer in the Descendant chart appear";
$text['tp-footerload'] = "Immediately, as the program loads";
$text['tp-footerprune'] = "The first time a branch is pruned or restored";
$text['tp-footernever'] = "Never";
$text['tp-footerreopens'] = "Can the Descendant floating footer re-open after it has been closed";
$text['tp-leaflinkprompt'] = "On printouts, omit the <b>=></b> links to a new chart";
$text['tp-leaflinknote'] = "If printed, they will be formatted to stand out less";
$text['tp-iconsprompt'] = "Which chart-link icons are to be shown next to each person's name in which chart?";
$text['tp-linkto'] = "Link to";
$text['tp-inancestor'] = "In the Ancestor chart";
$text['tp-indescendant'] = "In the Descendant chart";
$text['tp-eolprompt'] = "Display Ancestral Lines in the Ancestry Chart summary";
$text['tp-andfloating'] = "and floating footer";

###The notes that go below the options and that refer the user to other options.
$text['tp-otheroptions'] = "Other Text+ Chart Options";
$text['tp-pedoptionsnote'] = "The Text+ Charts can be set up as the initial pedigree and/or
descendant chart through the 'Initial Display' fields in the 'Pedigree Chart' and 'Descendancy Chart'
subforms up at the top of this page";
$text['tp-bothlinks'] = "(Both links open in a new tab or window)";
$text['tp-utilitynote'] = "Also, the Innermenu Utility installed by TextPlus Charts has two Mod Parameters that are edited through the Mod Manager.";

### Strings for the utility program that disables Text Chart links
### These are seen only by TNG admins, and I'm not even sure that any uses that
### program, so these might not be worth translating
$text['tp-utility1'] = "TextPlus Charts Innermenu Utility";
$text['tp-utility2'] = "Disable Standard Text Chart Links";
$text['tp-close'] = "Close this window";
$text['tp-disable'] = "Disable";
$text['tp-restore'] = "Restore";
$text['tp-restored'] = "Link has been restored";
$text['tp-disabled'] = "Disabled";
$text['tp-linkdisabled'] = "Link has been disabled";
$text['tp-notfound'] = "not found";
$text['tp-nofile'] = "File not found";
$text['tp-nocomment'] = "Required text not found";
$text['tp-nolink'] = "Link not found";
$text['tp-nochange'] = "??No change made??";
$text['tp-nowrite'] = "??File write not successful??";
$text['tp-other'] = "Other";
$text['tp-missing'] = "Missing";
?>

