<?php
#########################TextPlus Charts: Spanish UTF8 v17
# Thanks to Ron Krzmarzick for these translations.
$text['tp-nofit'] = "En estos ajustes de la impresora, no hay espacio para la generación";
$text['tp-graphicalview'] = "Graphical view of this family line";
$text['tp-charttypes'] = "Chart Types";
# Labels and title text for the Descendant Chart content controls
$text['tp-hideliving'] = "Ocultar datos para personas vivas y privadas";
$text['tp-likenotlogged'] = "Haz que el gráfico se vea como si no hubieras iniciado sesión";
$text['tp-anddescend'] = "& Descendants"; #if logged in
#Title if logged in, label if not
$text['tp-hidedescend'] = "Ocultar a todos los descendientes de personas vivas y privadas";
$text['tp-gennums'] = "Generacion #s";
$text['tp-siblingnums'] = "Hermano #s";
$text['tp-gennumrequired'] = "'Generacion #s' debe ser revisado";
$text['tp-printdesc'] = "Descendant Chart";
$text['tp-printanc'] = "Ancestor Chart";
$text['tp-locateperson'] = "Locate Person in Chart";
#Labels and title text for the Ancestor Chart content controls
$text['tp-frmsiblings'] = "Hermanos";
$text['tp-sibsgennumrequired'] = "'Hermanos' &amp; 'Generacion #s' debe ser revisado";
$text['tp-compact'] = "Diseño compacto";
$text['tp-compactmsg'] = "Eliminar algunas líneas en blanco que ayudan a la legibilidad";
$text['tp-genfocus'] = "Generación destacada";
$text['tp-locateanc'] = "Show path to ancestor";
#Buttons in the inner menu
$text['tp-charthelp'] = "Chart Help";
$text['tp-printinghelp'] = "Printing Help";
$text['tp-datesplaces'] = "Dates & Places";
$text['tp-formatforprint'] = "Formato para impresión";

###Format-for-printing labels & selection box options
$text['tp-pagewidth'] = "Largeur";
$text['tp-mobile'] = "Móvil";
$text['tp-portrait'] = "Retrato";
$text['tp-landscape'] = "Paisaje";
$text['tp-legal'] = "Legal";
$text['tp-fontsize'] = "Tamaño";
$text['tp-indentation'] = "La muesca";
$text['tp-characters'] = "caracteres";
$text['tp-height'] = "Line height";
$text['tp-savesettings'] = "Guardar en Cookie";
$text['tp-clearcookie'] = "Borrar Cookie";
# Other Labels for the form in the Format for Printing page
$text['tp-chartcontent'] = "Contenido de la carta";
$text['tp-submit'] = "Enviar";
# Strings for the chart headings:
$text['tp-descend'] = "Descendientes de";
$text['tp-ancestor'] = "Ancestros de";

# Strings for the Text+ Descendant chart summary
$text['tp-inchart'] = "Número de personas en este cuadro";
$text['tp-initially'] = "inicialmente";
$text['tp-including'] = "incluso";
$text['tp-spouses'] = "esposos";
$text['tp-and1parent'] = "y 1 padre";
$text['tp-andparents'] = "y XXX padres";
$text['tp-hidden'] = "Número de personas que han estado ocultas";
$text['tp-links'] = "Vinculos";
$text['tp-visiblelinks'] = "Enlaces visibles";
$text['tp-additionaldesc'] = "a los gráficos que muestran descendientes adicionales";
$text['tp-lines'] = "Líneas";
$text['tp-visiblelines'] = "Lineas visibles";
$text['tp-wrapped'] = "esa envoltura a otra linea";
# Strings for the pedigree chart summary
$text['tp-chartdisplayed'] = "Esta tabla contiene";
$text['tp-directanc'] = "ancestros directos";
$text['tp-additionalanc'] = "Enlaces a gráficos que muestran ancestros adicionales";
$text['tp-among'] = "Entre";
$text['tp-linesbegin'] = "ancestral lines begin in this chart";
$text['tp-showdetails'] = "Show details";
$text['tp-omitdetails'] = "Omit details";
$text['tp-carrieddown'] = "Carried down at least one generation";
$text['tp-carriedin'] = "Lines carried in from above";
# Strings for both chart summaries
$text['tp-chartsummary'] = "Chart Summary";
$text['tp-lcpeople'] = "gente";
$text['tp-ingenerations'] = "en XXX generaciones";
# Strings used to compose date/place values
$text['tp-unknownvalue'] = "desconocido";
$text['tp-unknowndisplay'] = "??";
$text['tp-alive'] = "viva";
$text['tp-married1'] = "m"; //The prefix for marriage date place, e.g. (m.01 Jan 1911)
$text['tp-werecousins'] = "Esta pareja estaba relacionada entre sí. Cualquier descendiente ya ha sido listado";
$text['tp-chrabbr'] = "chr.";  #Abbreviation for "Christening" (
$text['tp-gen'] = "Gen"; #Shortened form of Generation
# Other
$text['tp-locate'] = "Locate";

# For the date/place options form - most are also used in admin_pedconfig.php
$text['tp-redisplay'] = 'Redisplay Chart';
$text['tp-dateplacetitle'] = 'Date & Place Options';
$text['tp-dateformat'] = "Date format";
$text['tp-fulldate'] = "Full date value";
$text['tp-yearonly'] = "Year only";
$text['tp-showplace'] = "Show Placename";
$text['tp-threelines'] = "Show birth/death/marriage on separate lines";
$text['tp-sameplace'] = "Format when birthplace &amp; deathplace are the same";
$text['tp-conventional'] = "Conventional";
$text['tp-compact'] = "Compact";
$text['tp-showage'] = "Show age";
$text['tp-showmarriage'] = "Show marriage data";
$text['tp-marriageprompt'] = "Show marriage dates in the Ancestor chart with";
$text['tp-bothparents'] = "Both parents";
$text['tp-theirchild'] = "Their child";
$text['tp-neither'] = "Neither";

### For the default ancestor and descentant chart settings in admin_pedconfig.php.
$text['tp-textpluschoice'] = "Nueva opcion(es)";

### For mod options- seen only by TNG administrators
$text['tp-mainprompt'] = "Initial Chart Width in the main TNG program window";
$text['tp-printprompt'] = "Initial Chart Width in the Format for Printing window";
$text['tp-printnotice'] = "This value will be overridden if users save their print formatting settings.";
$text['tp-allowdp'] = "Allow users to change the date/place settings";
$text['tp-footeranc'] = "Show the floating footer in the Ancestor chart";
$text['tp-footerdesc'] = "When should the floating footer in the Descendant chart appear";
$text['tp-footerload'] = "Immediately, as the program loads";
$text['tp-footerprune'] = "The first time a branch is pruned or restored";
$text['tp-footernever'] = "Never";
$text['tp-footerreopens'] = "Can the Descendant floating footer re-open after it has been closed";
$text['tp-leaflinkprompt'] = "On printouts, omit the <b>=></b> links to a new chart";
$text['tp-leaflinknote'] = "If printed, they will be formatted to stand out less";
$text['tp-iconsprompt'] = "Which chart-link icons are to be shown next to each person's name in which chart?";
$text['tp-linkto'] = "Link to";
$text['tp-inancestor'] = "In the Ancestor chart";
$text['tp-indescendant'] = "In the Descendant chart";
$text['tp-eolprompt'] = "Display Ancestral Lines in the Ancestry Chart summary";
$text['tp-andfloating'] = "and floating footer";

###The notes that go below the options and that refer the user to other options.
$text['tp-otheroptions'] = "Other Text+ Chart Options";
$text['tp-pedoptionsnote'] = "The Text+ Charts can be set up as the initial pedigree and/or
descendant chart through the 'Initial Display' fields in the 'Pedigree Chart' and 'Descendancy Chart'
subforms up at the top of this page";
$text['tp-bothlinks'] = "(Both links open in a new tab or window)";
$text['tp-utilitynote'] = "Also, the Innermenu Utility installed by TextPlus Charts has two Mod Parameters that are edited through the Mod Manager.";

### Strings for the utility program that disables Text Chart links
### These are seen only by TNG admins, and I'm not even sure that any uses that
### program, so these might not be worth translating
$text['tp-utility1'] = "TextPlus Charts Innermenu Utility";
$text['tp-utility2'] = "Disable Standard Text Chart Links";
$text['tp-close'] = "Close this window";
$text['tp-disable'] = "Disable";
$text['tp-restore'] = "Restore";
$text['tp-restored'] = "Link has been restored";
$text['tp-disabled'] = "Disabled";
$text['tp-linkdisabled'] = "Link has been disabled";
$text['tp-notfound'] = "not found";
$text['tp-nofile'] = "File not found";
$text['tp-nocomment'] = "Required text not found";
$text['tp-nolink'] = "Link not found";
$text['tp-nochange'] = "??No change made??";
$text['tp-nowrite'] = "??File write not successful??";
$text['tp-other'] = "Other";
$text['tp-missing'] = "Missing";
?>

